package seng302.Networking.Messages;

import seng302.Networking.Messages.Enums.MessageType;

import java.io.InputStream;

/**
 * Created by fwy13 on 25/04/17.
 */
public class XMLMessage extends AC35Data {

    private int ackNumber;
    private long timeStamp;
    private int xmlMsgSubType;
    private int sequenceNumber;
    private int xmlMsgLength;
    private InputStream xmlMessage;

    public static int XMLTypeRegatta = 5;
    public static int XMLTypeRace = 6;
    public static int XMLTypeBoat = 7;

    public XMLMessage(int ackNumber, long timeStamp, int xmlMsgSubType, int sequenceNumber, int xmlMsgLength, InputStream xmlMessage){
        super(MessageType.XMLMESSAGE);
        this.ackNumber = ackNumber;
        this.timeStamp = timeStamp;
        this.xmlMsgSubType = xmlMsgSubType;
        this.sequenceNumber = sequenceNumber;
        this.xmlMsgLength = xmlMsgLength;
        this.xmlMessage = xmlMessage;
    }

    public InputStream getXmlMessage() {
        return xmlMessage;
    }

    public int getXmlMsgSubType() {
        return xmlMsgSubType;
    }
}
